本を読む

読書やコンピュータなどに関するメモ

Re: Web::Scraper 0.13をdh-make-perlしたらエラー

Generated error: Error: syntax error at /home/user/hansode/work/debian/Web-Scraper-0.13/Makefile.PL line 2, near "name 'Web-Scraper'"

 PerlモジュールのDebian用パッケージで、いろいろお世話になってます。

 dh-make-perlが呼んでるModule::Depends::Intrusiveは、Makefile.PLが呼んでる関数をトラップして実行することで、依存関係を調査してます。で、debian標準のlibmodule-depends-perlはバージョン0.10なので(unstableでも)、nameをトラップしてくれないようです。

 そこで、libmodule-depends-perlを、Module::Depends 0.13ベースにアップデートしたら(uupdateを使用)、name関数がエラーにならなくなりました。

 ただし、今度はinstall_script関数がエラーに。

$ dh-make-perl Web-Scraper-0.16
Found: Web-Scraper 0.16 (libweb-scraper-perl arch=all)
======================================================================
Could not find the dependencies for the requested module
Module::Depends::Intrusive reports: syntax error at /home/masaka/tmp/Web-Scraper/Web-Scraper-0.16/Makefile.PL line 18, near "install_script 'bin/scraper'"
Compilation failed in require at /usr/share/perl5/Module/Depends/Intrusive.pm line 83.

Generated error: Error: syntax error at /home/masaka/tmp/Web-Scraper/Web-Scraper-0.16/Makefile.PL line 18, near "install_script 'bin/scraper'"
Compilation failed in require at /usr/share/perl5/Module/Depends/Intrusive.pm line 83.

Please check if your module depends on Module::Install
for its build process - Automatically finding its
dependencies is unsupported, please specify them manually
using the 'depends' option. 
======================================================================

 調べてみると、Module::Depends::Intrusive.pmを書き換えて、ニセのinc::Module::Install::EXPORTにinstall_scriptを追加してやればいいようです。

--- lib/Module/Depends/Intrusive.pm.orig	2007-06-26 21:44:36.000000000 +0900
+++ lib/Module/Depends/Intrusive.pm	2007-09-20 21:29:39.000000000 +0900
@@ -61,7 +61,7 @@ sub _find_modules {
       all_from auto_install AUTOLOAD build_requires check_nmake include
       include_deps installdirs Makefile makemaker_args Meta name no_index
       requires WriteAll clean_files can_cc sign cc_inc_paths cc_files
-      cc_optimize_flags author license
+      cc_optimize_flags author license install_script
 
     );
     local *inc::Module::Install::AUTOLOAD = sub { 1 };

 こういうのって、どこにレポートすればいいんですかね?

 それにしてもdh-make-perlが呼んでるapt-fileは、時間がかかるなぁ。

コメント

コメントの投稿

管理者にだけ表示を許可する

トラックバック

http://emasaka.blog65.fc2.com/tb.php/291-bbdc3fd6

 | HOME | 

Categories

Recent Entries

Recent Comments

Recent Trackbacks

Appendix

emasaka

emasaka

フリーター。
連絡先はこのへん

Monthly


FC2Ad